/* Course Grid */
.course-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px;
}

.course-card {
    background: #fff;
    border-radius: 5px;
    overflow: hidden;
    padding: 15px;
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.1);
    position: relative;
    border: 3px solid transparent;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.course-card:hover {
    transform: translateY(-3px);
    box-shadow: 0 15px 25px rgba(0, 0, 0, 0.2);
}

.selected-card {
    border: 3px solid #00abc9;
}

.course-card img {
    width: 100%;
    border-radius: 5px;
    /* height: 150px; */
    object-fit: cover;
    border: 1px solid #00a9c7;
}

.course-card h4 {
    margin: 12px 0;
    font-size: 16px;
    font-weight: 600;
}

.course-card button {
    padding: 10px;
    font-size: 14px;
    border: none;
    border-radius: 5px;
    background: linear-gradient(270deg, #00abc9, #0291aa);
    color: #fff;
    cursor: pointer;
    font-weight: 500;
    transition: all 0.3s ease;
}

.course-card button:hover {
    background: linear-gradient(90deg, #00abc9, #0291aa);
    transition: all 0.3s ease;
}

.course-title{
    cursor: pointer;
}
/* Badge Ribbon */
.badge {
    position: absolute;
    top: 13px;
    left: -30px;
    background: #16a085;
    color: #fff;
    padding: 5px 40px;
    font-size: 12px;
    text-transform: uppercase;
    transform: rotate(-45deg);
    text-align: center;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}

.badge.paid {
    background: #e74c3c;
}

/* Progress Circle */
.progress-circle {
    position: absolute;
    top: 5px;
    right: 5px;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background: conic-gradient(#00abc9 var(--percent, 0%), #eee 0%);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    font-weight: 600;
    color: #333;
}


.course-dates {
  display: flex;
  justify-content: space-between;
  margin: 0px 0 15px;
  font-size: 14px;
  font-weight: 500;
  position: relative;
}

.course-dates span {
  flex: 1;
  padding: 6px;
  z-index: 1;
}

/* Left Side (Light Green) */
.course-dates::before {
  content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 52%;
    height: 100%;
    background: #eafaf1;
    border-radius: 2px;
    border-left: 2px solid #27ae60;
    clip-path: polygon(0 0, 85% 0, 98% 100%, 0% 100%);
    z-index: 0;
}

/* Right Side (Light Red) */
.course-dates::after {
      content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 52%;
    height: 100%;
    background: #fdecea;
    border-radius: 2px;
    border-right: 2px solid #c0392b;
    clip-path: polygon(20% 0, 100% 0, 103% 100%, 8% 100%);
    z-index: 0;
}

.course-dates .start {
  color: #27ae60; /* green text */
  position: relative;
  text-align: left;
  font-size: 12px;
  font-weight: 600;
}

.course-dates .end {
  color: #c0392b; /* red text */
  position: relative;
    text-align: right;
    font-size: 12px;
    font-weight: 600;
}

/* ================= */

.lecture-sidebar {
          width: 300px;
          top: 0px;
          left: 0;
          padding: 10px;
          z-index: 4;
          transform: translateX(-1000%);
          transition: transform 0.4s ease;
        }

        .lecture-sidebar.active {
          transform: translateX(0);
        }
        .lecture-sidebar:not(.active) {
          display: none;
          overflow: hidden;
          transform: translateX(-100%);
        }

        /* Buttons */
        .hide-sidebar-button,
        .show-sidebar-button {
          position: absolute;
          top: 13px;
          right: -27px;
          z-index: 1000;
        }
        .show-sidebar-button {
          left: -7px;
          width: max-content;
          top: 2px;
        }

        .hide-sidebar-button i,
        .show-sidebar-button i {
          cursor: pointer;
          font-size: 13px;
          background: linear-gradient(135deg, #32bbed, #006e74);
          color: #fff;
          padding: 10px;
          border-radius: 0 12% 12% 0;
          box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
          transition: all 0.3s ease;
        }

        .hide-sidebar-button i {
          background: linear-gradient(135deg, #750000, #ff4c4c);
        }
